Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jgDataLoader
Class CatagoryListenerList

    java.lang.Object
      javax.swing.event.EventListenerList
          jgDataLoader.CatagoryListenerList

All Implemented Interfaces:
  java.io.Serializable

public class CatagoryListenerList
extends javax.swing.event.EventListenerList

Maintains the list of CatagoryChangeListeners. This is a sngleton clobject.

See Also:
  Serialized Form

Field Summary
`protected static CatagoryListenerList` | `cll` Singleton instance of this clobject

Fields inherited from class javax.swing.event.EventListenerList
`listenerList`

Constructor Summary
`protected` | `CatagoryListenerList()` Constructor

Method Summary
`static void` | `addCatagoryChangeListener(CatagoryChangeListener c)` Adds a catagory change listener to the registry
`static void` | `fireCatagoryChangeEvent(java.lang.Object src)` Alerts all listeners that the catagory has changed.
`protected static CatagoryListenerList` | `getList()` Returns the singleton instance of this clobject
`static void` | `removeCatagoryChangeListener(CatagoryChangeListener c)` Removes a catagory change listener
`java.lang.String` | `toString()` Returns the string representation of this class

Methods inherited from class javax.swing.event.EventListenerList
`add, getListenerCount, getListenerCount, getListenerList, getListeners, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cll

    protected static CatagoryListenerList cll

  Singleton instance of this clobject

Constructor Detail

### CatagoryListenerList

    protected CatagoryListenerList()

  Constructor

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of this class

### getList

    protected static CatagoryListenerList getList()

  Returns the singleton instance of this clobject

### fireCatagoryChangeEvent

    public static void fireCatagoryChangeEvent(java.lang.Object src)

  Alerts all listeners that the catagory has changed.

  Parameters:
    `src` - the object that generated the event.

### addCatagoryChangeListener

    public static void addCatagoryChangeListener(CatagoryChangeListener c)

  Adds a catagory change listener to the registry

### removeCatagoryChangeListener

    public static void removeCatagoryChangeListener(CatagoryChangeListener c)

  Removes a catagory change listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD